<script lang="ts">
import Vue from 'vue';
import ParallaxContainer from '../parallax-container.vue';
import FloatingOrbs from './floating-orbs.vue';
import Globe from './globe.vue';
import Glow from './glow.vue';
import Branches from './branches.vue';
import RedGreenCurves from './red-green-curves.vue';
import YellowPurpleDashedCurves from './yellow-purple-dashed-curves.vue';
import DashedCurves from './dashed-curves.vue';
import PurpleLoops from './purple-loops.vue';

export default Vue.extend({
  name: 'HeroAnimation',
  components: {
    Glow,
    Globe,
    RedGreenCurves,
    Branches,
    YellowPurpleDashedCurves,
    DashedCurves,
    PurpleLoops,
    ParallaxContainer,
    FloatingOrbs,
  },

  methods: {},
});
</script>

<template>
  <div class="hero-animation">
    <Glow />
    <Globe class="hero-animation__globe" />
    <Branches />
    <RedGreenCurves />
    <YellowPurpleDashedCurves />
    <DashedCurves />
    <PurpleLoops />
    <div class="hero-animation__orbs">
      <ParallaxContainer>
        <FloatingOrbs />
      </ParallaxContainer>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.hero-animation {
  position: relative;
  width: 85%;
  margin: 0 auto;

  @media (min-width: $breakpoint-md) {
    width: 100%;
  }
  &__orbs {
    position: absolute;
    top: -26%;
    left: -5%;
    width: 114%;
    :deep svg {
      width: 100%;
    }
  }
  &__globe {
    width: 63%;
  }
}
</style>
